Skip to main content

Get Session Audit

GET 

/session/v1/audit

Get all audit events for a specific session or player. Empty list means there is no audit history.

Required Permissions:

  • For any player (including themselves) any of: session-audit:read:all, session:*

for all sessions

Required Permissions:

  • For any player (including themselves) any of: session-audit:read:self, session:*

for sessions you are a member of

Required Permissions:

  • For any player (including themselves) any of: session-player-audit:read:all, session:*

to read audit information about any player

Required Permissions:

  • For any player (including themselves) any of: session-player-audit:read:self, session:*

to read audit information about yourself

Request

Query Parameters

    session_id Session Id

    Possible values: non-empty and <= 128 characters

    player_uuid uuid
    page_num Page Num

    Default value: 0

    page_size Page Size

    Possible values: >= 1 and <= 50

    Default value: 50

    start_date date-time
    end_date date-time

Responses

Successful Response

Schema

    events

    object[]

    List of audit events

  • Array [

  • event_name Event Name (string)required

    Possible values: non-empty and <= 128 characters

    Name of the audit event you are creating. Customer created events will be prepended with 'customer.'

    session_id Session Id (string)required

    Possible values: non-empty and <= 128 characters

    ID of the session this event occurred in

    reason Reason (string)

    Reason for this event to occur

    custom_data

    object

    Custom data for this audit request

    property name* string
    session_type Session Type (string)

    Type of the session this event occurred in

    region_id Region Id (string)

    Possible values: non-empty and <= 128 characters

    Region ID for this event

    joinable Joinable (boolean)

    Whether or not the session is publicly joinable

    updated_teams

    object[]

    Possible values: <= 50

    Updated team numbers and sizes

  • Array [

  • max_size Max Size (integer)

    Possible values: >= 1 and <= 100

    Maximum number of players for this team

    custom_data

    object

    Custom data about this team

    property name* string
  • ]

  • source InviteSource (string)

    Possible values: [BACKFILL, MATCHMAKING, PLAYER]

    An enumeration.

    player_uuid uuid

    UUID of a specific player being effected in this event

    team_id Team Id (integer)

    ID of the team being effected in this event

    invited_session_id Invited Session Id (string)

    Possible values: non-empty and <= 128 characters

    ID of the session being invited in this event

    removed_session_id Removed Session Id (string)

    Possible values: non-empty and <= 128 characters

    ID of the session being removed in this event

    version Version (string)

    Version updated in this event

    client_settings

    object

    A player's platform and input settings

    platform_id PlatformID (integer)

    Possible values: [2, 4, 5, 9, 10, 11, 13, 16, 22, 24, 26, 28]

    DEPRECATED. Use 'platform' instead. Id for which platform this client is on. ID will be ignored if 'platform' is given. At least one of the two is required

    platform Platform (string)

    Possible values: [Anon, Basic, XboxLive, PSN, NintendoNAID, NintendoSwitch, NintendoPPID, Google, GooglePlay, Apple, Epic, Steam, Amazon, Twitch, RallyHere, LegacyName]

    Which platform this client is on. If one is not provided, will get the platform from the 'platform_id'. Platform is now read from client's authorization claims if available

    input Input (string)required

    Possible values: [keyboardandmouse, gamepad, touch]

    Which input type this client is using

    device_type DeviceType (string)

    Possible values: [pc, xbox_series, xbox_one, web]

    Platform verified device type for this client

    crossplay_preferences

    object

    A session's or player's preferences around crossplay platforms and inputs. Permitted platforms and inputs will be checked when new players attempt to join a session

    permitted_platform CrossplayPlatform (string)required

    Possible values: [desired_platforms_any, desired_platforms_xboxlike, desired_platforms_playstationlike]

    The platform type that the client is allowed to play with (any, xbox-like only, playstation-like only etc.)

    permitted_input CrossplayInput (string)required

    Possible values: [desired_inputs_any, desired_inputs_keyboardandmouse, desired_inputs_gamepad, desired_inputs_touch]

    The input type that the client is allowed to play with (keyboard and mouse, gamepad, touch input etc.)

    player_status SessionPlayerStatus (string)

    Possible values: [leader, member, invited, reserved]

    What membership state players have in a session

    platform Platform (string)

    Possible values: [Anon, Basic, XboxLive, PSN, NintendoNAID, NintendoSwitch, NintendoPPID, Google, GooglePlay, Apple, Epic, Steam, Amazon, Twitch, RallyHere, LegacyName]

    An enumeration.

    platform_session_id Platform Session Id (string)

    Possible values: non-empty and <= 4096 characters

    ID of the platform session being effected in this event

    instance_id Instance Id (string)

    Possible values: non-empty and <= 128 characters

    ID of the instance being effected in this event

    host_type HostType (string)

    Possible values: [dedicated, player, preallocated]

    Whether the host is another player, or a dedicated instance

    host_player_uuid uuid

    UUID of the player hosting during this event

    instance_request_template uuid

    ID of the instance request template being used in this event

    map Map (string)

    Map being used in this event

    mode Mode (string)

    Mode being used in this event

    allocation_id Allocation Id (string)

    Possible values: non-empty and <= 128 characters

    Allocation ID of instance in this event

    join_status InstanceJoinableStatus (string)

    Possible values: [requested, allocated, pending, joinable, unjoinable, closed]

    What state the instance is currently in

    join_params

    object

    Parameters provided by the allocation system or an instance on how to connect

    public_conn_str Public Conn Str (string)required

    Public connection string for instance

    private_conn_str Private Conn Str (string)required

    Private connection string for instance

    custom_data

    object

    Custom data to join a instance

    property name* string
    instance_health InstanceHealthStatus (string)

    Possible values: [healthy, unhealthy, degraded, unknown]

    An enumeration.

    queue_id Queue Id (string)

    Possible values: non-empty and <= 128 characters

    ID for the queue in this event

    ticket_id Ticket Id (string)

    Matchmaking ticket id in this event

    additional_params

    object

    Additional parameters to apply to a matchmaking ticket

    double_args

    object

    Additional double arguments to add to the matchmaking ticket

    property name* number

    string_args

    object

    Additional string arguments to add to the matchmaking ticket

    property name* string
    tags string[]

    Possible values: non-empty and <= 4096 characters

    Default value: ``

    Additional tags to add to the matchmaking ticket

    extensions

    object

    Additional extensions to add to the matchmaking ticket. Value is a base64 string representation of the protobuf binary data. The data will be converted back to binary before being put on the ticket

    property name* string
    map_preferences string[]

    Map preferences in this event

    queued_session_id Queued Session Id (string)

    Possible values: non-empty and <= 128 characters

    ID of the session that was/is in a matchmaking queue for this event

    match_id Match Id (string)

    Possible values: non-empty and <= 128 characters

    ID of a match that was associated with this session

    requesting_user_uuid uuid
    event_datetime date-timerequired

    Datetime that enforces that a timezone is given. Unix timestamps are allowed and forced into the UTC time zone

  • ]

Loading...